Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(2)

Issue 852043002: Initial Implementation of Download Notification (Closed)

Created:
4 years, 11 months ago by yoshiki
Modified:
4 years, 9 months ago
Reviewers:
asanka, oshima, Ilya Sherman, sky
CC:
benjhayden+dwatch_chromium.org, chromium-reviews, oshima+watch_chromium.org
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Initial Implementation of Download Notification This is the first implementation of Download Notification for ChromeOS. This feature is behind a flag and disabled by default as for now. The major changes of the patch are: - Add DownloadNotificationManager, which replaces DefaultUIControllerDelegate - Add DownloadNotificationItem, which represents each notification - Add DownloadCommands, which is extracted from DownloadShelfContextMenu::ContextMenuCommands - Rename DefaultUIControllerDelegate -> DownloadShelfUIControllerDelegate - Rename: DefaultUIControllerDelegateAndroid -> AndroidUIControllerDelegate BUG=446112 TEST=browser_test passes Committed: https://crrev.com/f42d8fc065c006e4590476b9526c8b5bd2563d6d Cr-Commit-Position: refs/heads/master@{#319113}

Patch Set 1 #

Total comments: 8

Patch Set 2 : Addressed comments #

Total comments: 7

Patch Set 3 : Extracted command-related code to DownloadCommand class, and addressed comments #

Patch Set 4 : Minor changes #

Patch Set 5 : Minor bug fix. #

Total comments: 6

Patch Set 6 : Addressed comments #

Total comments: 8

Patch Set 7 : Addressed comments & added tests. #

Total comments: 39

Patch Set 8 : Adressed the comments #

Patch Set 9 : Rebased #

Total comments: 30

Patch Set 10 : Addressed comments #

Total comments: 2

Patch Set 11 : Addressed comments #

Patch Set 12 : Rebased #

Patch Set 13 : Fixed build & test errors on non-ChromeOS platform. #

Unified diffs Side-by-side diffs Delta from patch set Stats (+1454 lines, -292 lines) Patch
M chrome/app/generated_resources.grd View 2 chunks +22 lines, -0 lines 0 comments Download
A + chrome/app/theme/default_100_percent/common/downloads/delete-icon.png View 1 2 3 4 5 6 7 8 Binary file 0 comments Download
A + chrome/app/theme/default_100_percent/common/downloads/download-icon.png View 1 2 3 4 5 6 7 8 Binary file 0 comments Download
A + chrome/app/theme/default_100_percent/common/downloads/download-small-icon.png View 1 2 3 4 5 6 7 8 Binary file 0 comments Download
A + chrome/app/theme/default_100_percent/common/downloads/folder-icon.png View 1 2 3 4 5 6 7 8 Binary file 0 comments Download
A + chrome/app/theme/default_100_percent/common/downloads/incognito-icon.png View 1 2 Binary file 0 comments Download
A chrome/app/theme/default_100_percent/common/downloads/malicious-icon.png View Binary file 0 comments Download
A + chrome/app/theme/default_100_percent/common/downloads/pause-icon.png View 1 2 3 4 5 6 7 8 Binary file 0 comments Download
A + chrome/app/theme/default_100_percent/common/downloads/resume-icon.png View 1 2 3 4 5 6 7 8 Binary file 0 comments Download
A + chrome/app/theme/default_100_percent/common/downloads/suspicious-icon.png View 1 2 3 4 5 6 7 8 Binary file 0 comments Download
A chrome/app/theme/default_100_percent/common/downloads/warning-icon.png View Binary file 0 comments Download
M chrome/app/theme/theme_resources.grd View 1 2 3 4 5 6 7 8 1 chunk +9 lines, -0 lines 0 comments Download
M chrome/browser/about_flags.cc View 1 2 3 4 5 6 7 8 9 10 11 1 chunk +7 lines, -0 lines 0 comments Download
A chrome/browser/download/download_commands.h View 1 2 3 4 5 6 7 8 9 1 chunk +59 lines, -0 lines 0 comments Download
A chrome/browser/download/download_commands.cc View 1 2 3 4 5 6 7 8 9 10 1 chunk +241 lines, -0 lines 0 comments Download
M chrome/browser/download/download_shelf_context_menu.h View 1 2 3 4 5 6 7 8 9 4 chunks +5 lines, -26 lines 0 comments Download
M chrome/browser/download/download_shelf_context_menu.cc View 1 2 3 4 5 6 7 8 9 10 11 12 7 chunks +150 lines, -240 lines 0 comments Download
M chrome/browser/download/download_ui_controller.cc View 1 2 3 4 5 6 7 8 9 10 11 5 chunks +25 lines, -14 lines 0 comments Download
A chrome/browser/download/notification/download_notification_item.h View 1 2 3 4 5 6 7 8 9 1 chunk +104 lines, -0 lines 0 comments Download
A chrome/browser/download/notification/download_notification_item.cc View 1 2 3 4 5 6 7 8 9 1 chunk +457 lines, -0 lines 0 comments Download
A chrome/browser/download/notification/download_notification_item_unittest.cc View 1 2 3 4 5 6 7 8 9 1 chunk +269 lines, -0 lines 0 comments Download
A chrome/browser/download/notification/download_notification_manager.h View 1 2 3 4 5 6 7 8 9 1 chunk +37 lines, -0 lines 0 comments Download
A chrome/browser/download/notification/download_notification_manager.cc View 1 2 3 4 5 6 7 8 9 1 chunk +48 lines, -0 lines 0 comments Download
M chrome/browser/ui/cocoa/download/download_item_controller.mm View 1 2 3 4 5 6 7 8 9 10 11 12 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/ui/views/download/download_item_view.cc View 1 2 3 4 5 6 7 8 9 10 11 1 chunk +3 lines, -4 lines 0 comments Download
M chrome/browser/ui/views/download/download_shelf_context_menu_view.h View 1 2 3 4 5 6 7 8 9 1 chunk +1 line, -2 lines 0 comments Download
M chrome/browser/ui/views/download/download_shelf_context_menu_view.cc View 1 2 3 4 5 6 7 8 9 1 chunk +2 lines, -3 lines 0 comments Download
M chrome/chrome_browser.gypi View 1 2 3 4 5 6 7 8 9 10 11 2 chunks +6 lines, -0 lines 0 comments Download
M chrome/chrome_tests_unit.gypi View 1 2 3 4 5 6 7 8 9 10 11 12 1 chunk +1 line, -0 lines 0 comments Download
M chrome/common/chrome_switches.h View 1 2 3 4 5 6 7 8 9 10 11 1 chunk +1 line, -0 lines 0 comments Download
M chrome/common/chrome_switches.cc View 1 2 3 4 5 6 7 8 9 10 11 1 chunk +5 lines, -2 lines 0 comments Download
M tools/metrics/histograms/histograms.xml View 1 chunk +1 line, -0 lines 0 comments Download

Messages

Total messages: 56 (23 generated)
asanka
Sorry about the delay. https://codereview.chromium.org/852043002/diff/1/chrome/browser/download/download_item_model.h File chrome/browser/download/download_item_model.h (right): https://codereview.chromium.org/852043002/diff/1/chrome/browser/download/download_item_model.h#newcode25 chrome/browser/download/download_item_model.h:25: class DownloadAction { See DownloadShelfContextMenu::ContextMenuCommands. ...
4 years, 10 months ago (2015-01-23 19:43:53 UTC) #2
yoshiki
Asanka, thank you for reviewing the wip patch and giving me good guidances. I updated ...
4 years, 10 months ago (2015-01-29 20:20:46 UTC) #3
asanka
On 2015/01/29 at 20:20:46, yoshiki wrote: > Asanka, thank you for reviewing the wip patch ...
4 years, 10 months ago (2015-01-31 00:38:44 UTC) #4
asanka
https://codereview.chromium.org/852043002/diff/20001/chrome/browser/download/download_commands.cc File chrome/browser/download/download_commands.cc (right): https://codereview.chromium.org/852043002/diff/20001/chrome/browser/download/download_commands.cc#newcode31 chrome/browser/download/download_commands.cc:31: default: Don't use a 'default' clause. The compiler will ...
4 years, 10 months ago (2015-01-31 00:38:51 UTC) #5
yoshiki
Asanka, PTAL again? Thanks. The followings are major changes from the patch set #2. - ...
4 years, 10 months ago (2015-02-04 19:03:01 UTC) #6
yoshiki
Hi Asanka, Could you take a look at this CL when you get a chance? ...
4 years, 10 months ago (2015-02-09 20:21:13 UTC) #7
asanka
https://codereview.chromium.org/852043002/diff/80001/chrome/browser/download/download_command.h File chrome/browser/download/download_command.h (right): https://codereview.chromium.org/852043002/diff/80001/chrome/browser/download/download_command.h#newcode13 chrome/browser/download/download_command.h:13: class DownloadCommand { Given how it's used, I'd probably ...
4 years, 10 months ago (2015-02-10 02:25:30 UTC) #8
yoshiki
Asanka, thank you for comments. PTAL at new patchset. https://codereview.chromium.org/852043002/diff/80001/chrome/browser/download/download_command.h File chrome/browser/download/download_command.h (right): https://codereview.chromium.org/852043002/diff/80001/chrome/browser/download/download_command.h#newcode13 chrome/browser/download/download_command.h:13: ...
4 years, 10 months ago (2015-02-10 17:49:17 UTC) #9
yoshiki
Asanka, ping? If you have any questions. Please feel free to ask me. Thanks.
4 years, 10 months ago (2015-02-13 01:40:53 UTC) #10
asanka
My overarching comment is to make DownloadCommands be UI agnostic as possible. Other than that, ...
4 years, 10 months ago (2015-02-13 21:17:06 UTC) #11
yoshiki
Thank you for good review comments. I added tests and modification. Could you take a ...
4 years, 9 months ago (2015-02-19 15:07:02 UTC) #17
asanka
Very close. Just a few more nits and we should be able to land this. ...
4 years, 9 months ago (2015-02-20 23:34:40 UTC) #18
yoshiki
Asanka, PTAL. Thanks. https://codereview.chromium.org/852043002/diff/200001/chrome/browser/download/download_commands.cc File chrome/browser/download/download_commands.cc (right): https://codereview.chromium.org/852043002/diff/200001/chrome/browser/download/download_commands.cc#newcode140 chrome/browser/download/download_commands.cc:140: content::PageNavigator* navigator) { On 2015/02/20 23:34:39, ...
4 years, 9 months ago (2015-02-24 21:30:57 UTC) #20
yoshiki
Asanka, ping?
4 years, 9 months ago (2015-02-26 18:08:06 UTC) #21
asanka
https://codereview.chromium.org/852043002/diff/260001/chrome/browser/download/download_commands.cc File chrome/browser/download/download_commands.cc (right): https://codereview.chromium.org/852043002/diff/260001/chrome/browser/download/download_commands.cc#newcode61 chrome/browser/download/download_commands.cc:61: if (!download_item_) download_item_ should never be nullptr. Here and ...
4 years, 9 months ago (2015-02-27 01:26:49 UTC) #22
yoshiki
Asanka, Thanks you for good comments. PTAL again. Thanks https://codereview.chromium.org/852043002/diff/260001/chrome/browser/download/download_commands.cc File chrome/browser/download/download_commands.cc (right): https://codereview.chromium.org/852043002/diff/260001/chrome/browser/download/download_commands.cc#newcode61 chrome/browser/download/download_commands.cc:61: ...
4 years, 9 months ago (2015-02-28 10:50:54 UTC) #26
asanka
lgtm I'm still not onboard with the RETRY command, but I think we should consider ...
4 years, 9 months ago (2015-03-02 22:17:25 UTC) #27
asanka
Nit: Wrap CL description at 72 columns. And thanks for putting up with my comments.
4 years, 9 months ago (2015-03-02 22:19:43 UTC) #28
yoshiki
I really appreciate you pointing out my bad code and giving a lot of detailed ...
4 years, 9 months ago (2015-03-03 04:48:38 UTC) #29
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/852043002/360001
4 years, 9 months ago (2015-03-03 04:54:02 UTC) #34
commit-bot: I haz the power
Try jobs failed on following builders: ios_rel_device_ninja on tryserver.chromium.mac (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.mac/builders/ios_rel_device_ninja/builds/43974)
4 years, 9 months ago (2015-03-03 04:57:37 UTC) #36
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/852043002/380001
4 years, 9 months ago (2015-03-03 06:30:53 UTC) #39
commit-bot: I haz the power
Try jobs failed on following builders: chromium_presubmit on tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/chromium_presubmit/builds/46852)
4 years, 9 months ago (2015-03-03 06:50:00 UTC) #41
yoshiki
+oshima, sky, isherman: adding the rest owners. Oshima, PTAL at changes in chrome/app/theme/*. These images ...
4 years, 9 months ago (2015-03-03 11:26:18 UTC) #42
yoshiki
+oshima, sky, isherman: adding the rest owners. Oshima, PTAL at changes in chrome/app/theme/*. These images ...
4 years, 9 months ago (2015-03-03 11:27:01 UTC) #44
sky
chrome/browser/ui/views/download LGTM
4 years, 9 months ago (2015-03-03 16:39:14 UTC) #45
oshima
c/a/theme lgtm please make sure to request/add 200x assets as well.
4 years, 9 months ago (2015-03-03 16:44:53 UTC) #46
Ilya Sherman
histograms.xml lgtm
4 years, 9 months ago (2015-03-03 22:56:39 UTC) #47
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/852043002/380001
4 years, 9 months ago (2015-03-04 04:21:37 UTC) #49
commit-bot: I haz the power
Try jobs failed on following builders: android_compile_rel on tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/android_compile_rel/builds/21174)
4 years, 9 months ago (2015-03-04 05:45:52 UTC) #51
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/852043002/400001
4 years, 9 months ago (2015-03-04 18:41:05 UTC) #54
commit-bot: I haz the power
Committed patchset #13 (id:400001)
4 years, 9 months ago (2015-03-04 20:08:28 UTC) #55
commit-bot: I haz the power
4 years, 9 months ago (2015-03-04 20:10:17 UTC) #56
Message was sent while issue was closed.
Patchset 13 (id:??) landed as
https://crrev.com/f42d8fc065c006e4590476b9526c8b5bd2563d6d
Cr-Commit-Position: refs/heads/master@{#319113}

Powered by Google App Engine
This is Rietveld 408576698